<%- include('../../sub-layout/staff-member-general', 
{ 
    pageTitle: 'Subject details',
    addLink: `
        <link rel="stylesheet" href="${asset('/css/page/staff-member/subject-detail.css')}">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <style>
            .checked {
              color: orange;
            }
        </style>
    `,
    addMain: `
        <main id="Main">
            <div class="title">
                <h2>Subject/<span id="subTitle"></span></h2>
            </div>
            <div>
                <div class="about-product break">
                    <div class="div0">
                        <img id="imagePath" src="" alt="">
                    </div>
                    <div class="div1">
                        <div class="div11">
                            <p id="name"></p>
                            <p id="priceString"></p>
                            <p id="briefDescription"></p>
                        </div>
                        <div class="div12">
                            <button id="create">Create new education event</button>
                            <ul id="navigation">
                                <li class="navigationItem">
                                    Theory
                                </li>
                                <li class="navigationItem">
                                    Practical
                                </li>
                                <li class="navigationItem">
                                    Seminar
                                </li>
                            </ul>
                            <div id="tabContent">
                                <div class="tabContent">
                                    <table>
                                        <thead>
                                            <tr>
                                                <td>Theory lesson</td>
                                                <td>Summary</td>
                                                <td>Action</td>
                                            </tr>
                                        </thead>
                                        <tbody id="lecture-tab">
                                        </tbody>
                                    </table>
                                </div>
                                <div class="tabContent">
                                    <table>
                                        <thead>
                                            <tr>
                                                <td>Practical lesson</td>
                                                <td>Summary</td>
                                                <td>Action</td>
                                            </tr>
                                        </thead>
                                        <tbody id="practical-tab">   
                                        </tbody>
                                    </table>
                                </div>
                                <div class="tabContent">
                                    <table>
                                        <thead>
                                            <tr>
                                                <td>Seminar lesson</td>
                                                <td>Summary</td>
                                                <td>Action</td>
                                            </tr>
                                        </thead>
                                        <tbody id="seminar-tab"> 
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Create -->
            <div id="createEEModal">
                <div>
                    <div>
                        <div class="modal-header">
                            <h5 class="modal-title">Create new education event</h5>
                        </div>
                        <div class="modal-body">                            
                            <form id="createForm">
                                <div class="form-group">
                                    <label for="name">Name:</label>
                                    <input type="text" class="form-control" name="name" required>
                                </div>
                                <div class="form-group">
                                    <label for="videoPath">Video:</label>
                                    <input type="file" class="form-control" name="videoPath" required>
                                </div>
                                <div class="form-group">
                                    <label for="videoPath">Type:</label>
                                    <select name="educationalEventType" class="form-control" required>
                                        <option value="1">Theory</option>
                                        <option value="2">Practical</option>
                                        <option value="3">Seminar</option>
                                    </select>
                                </div>                                
                                <div class="form-group">
                                    <label for="briefDescription">Brief description:</label>
                                    <input type="text" class="form-control" name="briefDescription" required>
                                </div>
                                <div class="form-group">
                                    <label for="description">Description:</label>
                                    <textarea name="description" id="editorCreate" cols="30" rows="10" required></textarea>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn_white" data-dismiss="modal" id="closeCreateModal">Close</button>
                            <button type="button" class="btn btn_green" id="saveCreateEE">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Update -->
            <div id="updateEEModal">
                <div>
                    <div>
                        <div class="modal-header">
                            <h5 class="modal-title">Update new education event</h5>
                        </div>
                        <div class="modal-body">                            
                            <form id="updateForm">
                                <div class="form-group">
                                    <label for="name">Name:</label>
                                    <input type="text" class="form-control" name="name" required>
                                </div>
                                <div class="form-group">
                                    <label for="videoPath">Video:</label>
                                    <input type="file" class="form-control" name="videoPath" required>
                                </div>
                                <div class="form-group">
                                    <label for="videoPath">Type:</label>
                                    <select name="educationalEventType" class="form-control" required>
                                        <option value="1">Theory</option>
                                        <option value="2">Practical</option>
                                        <option value="3">Seminar</option>
                                    </select>
                                </div>                                
                                <div class="form-group">
                                    <label for="briefDescription">Brief description:</label>
                                    <input type="text" class="form-control" name="briefDescription" required>
                                </div>
                                <div class="form-group">
                                    <label for="description">Description:</label>
                                    <textarea name="description" id="editorUpdate" cols="30" rows="10" required></textarea>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn_white" data-dismiss="modal" id="closeUpdateModal">Close</button>
                            <button type="button" class="btn btn_green" id="saveUpdateEE">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

        </main>
    `,
    addScript: `
        <script src="https://cdn.ckeditor.com/ckeditor5/40.1.0/classic/ckeditor.js"></script>
        <script src="${asset('/js/backtick_dynamic_html.js')}"></script>
        <script src="${asset('/js/page/staff-member/subject-detail.js')}"></script>
    `
}) -%>
